ARP(8)

NOME
arp - manipula o cache ARP do sistema

SINOPSE
arp [-vn] [-H tipo] [-i if] -a [máquina]

arp [-v] [-i if] -d máquina [pub] [nopub]

arp [-v] [-H tipo] [-i if] -s máquina endereço_hardware [temp] [nopub]

arp [-v] [-H tipo] [-i if] -s máquina endereço_hardware [netmask nm] pub

arp [-v] [-H tipo] [-i if] -Ds máquina ifa [netmask nm] pub

arp [-vnD] [-H tipo] [-i if] -f arquivo

DESCRIÇÃO
arp manipula o cache ARP do kernel de várias maneiras. As principais opções são remoção de uma entrada de mapeamento de endereço e configuração manual de um endereço. Para propósitos de depuração, o programa arp também permite um dump completo do cache ARP.

OPÇÕES

-v, --verbose
    Mostra ao usuário o que está acontecendo, de modo detalhado.

-n, --numeric
    mostra endereços numéricos, ao invés de tentar determinar os nomes simbólicos da máquina, porta e usuário.

-H type, --hw-type type
    Quando configurando ou lendo o cache ARP, este parâmetro opcional informa ao arp que classe de entradas devem ser verificadas. O valor padrão deste parâmetro é ether (i.e. código de hardware 0x01 para Ethernet IEEE 802.3 10Mbps). Outros valores podem incluir tecnologias de rede como ARCnet (arcnet) , PROnet (pronet) , AX.25 (ax25) e NET/ROM (netrom).

-a [máquina], --display [máquina]
    Mostra as entradas das máquinas especificadas. Se o parâmetro máquina não for usado, todas as entradas serão mostradas.

-d máquina, --delete máquina
    Remove quaisquer entradas para a máquina especificada. Isto pode ser usado se a máquina indicada for desligada, por exemplo. Nos kernels mais recentes o arp(1) suporta a especificação de pub ou nopub para decidir se uma entrada pública ou privada deve ser removida. Se você não informar uma destas flags as duas entradas serão removidas.

-D, --use-device
    Usa o endereço de hardware da interface ifa

-i If, --device If
    Seleciona uma interface. Quando mostrando o cache ARP somente entradas iguais à interface serão mostradas. Configura uma entrada ARP permanente ou temporária que será usada no dispositivo especificado. Se nenhum dispositivo for informado, o kernel descobre o dispositivo a partir da tabela de roteamento. Para entradas pub a interface especificada é a interface na qual as requisições ARP serão respondidas.
    NOTA: Deve ser diferente da interface para a qual os pacotes IP serão roteados.

-s máquina endereço_hardware, --set máquina
    Cria manualmente uma entrada de mapeamento de endereço ARP para a máquina máquina com endereço de hardware configurado para endereço_hardware. O formato do endereço de hardware depende da classe de hardware, mas para a maioria das classes pode-se assumir que a apresentação usual pode ser usada. Para a classe Ethernet, são 6 bytes em hexadecimal, separados por dois pontos (:). Quando adicionando entradas proxy arp (isto é, aquelas com a flag público setadas) uma netmask pode ser especificada para o proxy arp de uma subrede inteira. Proxy arp para rotear redes inteiras não é um bom protocolo, mas algumas vezes é útil, então é suportado. Se a flag temp não for fornecida, as entradas serão permanentemente armazenadas no cache ARP.

-f arquivo, --file arquivo
    Similar à opção -s só que desta vez as informações de endereços são obtidas a partir do arquivo arquivo. Isto pode ser usado se entradas ARP para muitas máquinas tiverem que ser configuradas. O nome do arquivo de dados é freqüentemente /etc/ethers, mas isto não é oficial.

    O formato deste arquivo é simples; ele somente contém linhas de texto ASCII com um nome de máquina e um endereço de hardware separados por um espaço em branco. Adicionalmente as flags pub, nopub, temp and netmask podem ser usadas.

Em todos os lugares onde uma máquina é esperada, você também pode informar um endereço IP em notação decimal separada por pontos.

Cada entrada completa no cache ARP será marcada com uma flag C. Entradas permanentes são marcadas com um M e entradas publicadas tem uma flag P.

ARQUIVOS
/proc/net/arp,
/etc/networks
/etc/hosts
/etc/ethers

AUTOR
Fred N. van Kempen, <waltje@uwalt.nl.mugnet.org> com muitas melhorias feitas pelo mantenedor do net-tools, Bernd Eckenfels <net-tools@lina.inka.de>. Tradução para a língua portuguesa feita por Arnaldo Carvalho de Melo <acme@conectiva.com.br> em 11/abril/1998. Revisado por Jorge Luiz Godoy Filho <jorge@bestway.com.br> em 15/abril/1998.